package cn.feast.coding.mapper.generator;


import cn.feast.coding.model.generator.PageTemplate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface PageTemplateMapper {
    Integer save(PageTemplate model);

    void update(PageTemplate model);

    void deleteById(Integer id);

    int queryByCount(PageTemplate model);

    List<PageTemplate> queryByList(Map paramsMap);

    List<PageTemplate> queryByPageTemplate(PageTemplate model);

    PageTemplate queryById(Integer id);

    List<PageTemplate> queryAll();

    List<PageTemplate> getPage(@Param("templateType") String templateType);
}